Subject: bug#12863: closed (Re: bug#12863: Annoying bug in revert-buffer)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 13 Nov 2012 01:52:02 +0000

Your bug report

#12863: auto-revert does not detect changes within 1s of a revert

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
12863: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=12863
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#12863: Annoying bug in revert-buffer
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Mon, 12 Nov 2012 20:50:52 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 24.4

Paul Eggert wrote:

> On 11/12/2012 12:04 PM, Glenn Morris wrote:
>> I see this comment in verify-visited-file-modtime:
>> 
>> /* If both [times] exist, accept them if they are off by one second.  */
>
> I've had my eye on that code for some time, figuring that
> it must be bogus but not having the time to prove that it
> was bogus.  Since it's now known to cause problems, I removed it
> in trunk bzr 110875. 

Thanks, I checked using `touch' and verify-visited-file-modtime that it
fixes the issue for me.

So this will be fixed in the next (probably) release after 24.3, not in
24.3 as I originally said.

Subject: Annoying bug in revert-buffer
From: Cecil Westerhof <[email-masked]>
To: [email-masked]
Date: Sun, 11 Nov 2012 12:42:17 +0100
Newsgroups: gnu.emacs.bug
List-Id: <debbugs-submit.debbugs.gnu.org>

I use revert-buffer on several log buffers. There is one annoying bug.
Sometimes Emacs sees that the buffer has changed and reloads it. But
when it changes in the same second again, the buffer is not reloaded
and you do not see the changes. First I thought it was a Windows
quirk, but now I have seen the same behaviour on Linux. (I am looking
more at log buffers I suppose.)

Is this a known bug?

-- 
Cecil Westerhof
Senior Software Engineer
LinkedIn: http://www.linkedin.com/in/cecilwesterhof